#ifndef VERSIONS_H
#define VERSIONS_H

/**
 * Here is listed the version history of the soft with some information about each one of them.
 * 
 * Versioning scheme MAJOR.MINOR.PATCH
 */

#define SOFT_VERSION "1.0.0" //First version tracking
#define SOFT_VERSION "1.1.0" //Added trailing zeros to the date and time
#define SOFT_VERSION "1.1.1" //Added delayed esp restart/reset api call
#define SOFT_VERSION "1.1.2" //Fixed a big memory leak :( shame on me...
#define SOFT_VERSION "1.1.3" //TaskSchedulerManager added millis rollover
#define SOFT_VERSION "1.1.4" //Cleaned AP and STA wifi start
#define SOFT_VERSION "1.2.0" //Added new PowerManager class
#define SOFT_VERSION "1.2.1" //Corrected a bug in the TaskSchedulerManager class
#define SOFT_VERSION "1.3.0" //Implemented multi-client non blocking webserver
#define SOFT_VERSION "1.3.1" //Fixed sdCardUnmount api call
#define SOFT_VERSION "1.3.2" //Modified TCPServer and WEBServer core logic
#define SOFT_VERSION "1.4.0" //Added the new FTPServer
#define SOFT_VERSION "1.4.1" //Updated FTP server to use the new SD library for the ESP8266
#define SOFT_VERSION "1.4.2" //Added new functionalities as well as login check
#define SOFT_VERSION "1.4.3" //Added ICACHE_RAM_ATTR because of a strange performance hit
#define SOFT_VERSION "1.5.0" //Added new rtcInfo view + DS3231 internal temperature
#define SOFT_VERSION "1.5.1" //Corrected a mistake in the sendPageToClientFromSdCard method (WEBServer class)
#define SOFT_VERSION "1.5.2" //Started to put every string in the flash memory instead of the ram
#define SOFT_VERSION "1.5.3" //Minor changes and fixes to the ConnectivityManager class
#define SOFT_VERSION "1.5.4" //Updated TCPClient (using memmove instead of strcpy)
#define SOFT_VERSION "1.5.5" //WEBServer now parsing form parameters in the post data section
#define SOFT_VERSION "1.5.6" //Added new SAB method to set te cpu frequency at run time

#endif //VERSIONS_H
